<?php

class pp_ch_views_handler_field_edition_state extends views_handler_field_node {
  function render_link($data, $values) {
    // Personally, I think these member names are somewhat broken, 
    //   but hey, what do I know? In any case, use what we have to work with
    $field_current_edition_nid = 'term_channels_current_edition_nid';
    $field_next_edition_nid = 'term_channels_next_edition_nid';
    $field_timestamp = 'node_data_field_schedule_field_schedule_value';
    $stamp = strtotime($values->$field_timestamp);
    if (!$values->node_status) {
      // not published
      $text = t('Not published');
    }
    else if ($values->nid == $values->$field_current_edition_nid) {
      // current edition of channel
      $text = t('Current edition');
    }
    else if ($values->nid == $values->$field_next_edition_nid) {
      // next edition of channel
      $text = t('Next edition');
    }
    else if ($stamp) {
      $now = time();
      $text = ($now - $stamp > 0) ? t('Past edition') : t('Future edition');
    }
    
    if ($text) {    
      if (!empty($this->options['link_to_node'])) {
        return l($text, 'node/' . $values->nid);
      }
      else {
        return check_plain($text);
      }
    }
  }  
}
